import request from '@/utils/request'

// 查询merchant列表
export function listMerchant(query) {
  return request({
    url: '/community/merchant/list',
    method: 'get',
    params: query
  })
}

// 查询merchant详细
export function getMerchant(merchantId) {
  return request({
    url: '/community/merchant/' + merchantId,
    method: 'get'
  })
}

// 新增merchant
export function addMerchant(data) {
  return request({
    url: '/community/merchant',
    method: 'post',
    data: data
  })
}

// 修改merchant
export function updateMerchant(data) {
  return request({
    url: '/community/merchant',
    method: 'put',
    data: data
  })
}

// 删除merchant
export function delMerchant(merchantId) {
  return request({
    url: '/community/merchant/' + merchantId,
    method: 'delete'
  })
}
